<Query Kind="Expression">
  <Connection>
    <ID>aece76e1-78ad-477f-aa7a-328376fd9645</ID>
    <Driver Assembly="StreamInsightLinqPad" PublicKeyToken="3d3a4b0768c9178e">StreamInsightLinqPad.StaticDriver</Driver>
    <CustomAssemblyPath>StreamInsightLinqPad.Samples.dll</CustomAssemblyPath>
    <CustomTypeName>StreamInsightLinqPad.Samples.PerformanceCounterContext</CustomTypeName>
    <DriverData>
      <ContextKind>PerformanceCounter</ContextKind>
      <RequiredVersion>21.0.0.0</RequiredVersion>
    </DriverData>
  </Connection>
</Query>

// Shows processor utilization over 10 second windows that advance in 1-second increments.
from win in CreateStream("Processor", "% Processor Time", "_Total").HoppingWindow(
    TimeSpan.FromSeconds(10),
    TimeSpan.FromSeconds(1))
select new { Avg = win.Avg(s => s.Value) }