<Query Kind="Expression">
  <Connection>
    <ID>1e3830fd-9f17-427d-b3c8-0693c06d6e5c</ID>
    <Driver Assembly="StreamInsightLinqPad" PublicKeyToken="3d3a4b0768c9178e">StreamInsightLinqPad.StaticDriver</Driver>
    <CustomAssemblyPath>StreamInsightLinqPad.Samples.dll</CustomAssemblyPath>
    <CustomTypeName>StreamInsightLinqPad.Samples.HitchhikersGuideContext</CustomTypeName>
    <DriverData>
      <ContextKind>HitchhikersGuide</ContextKind>
      <RequiredVersion>21.0.0.0</RequiredVersion>
    </DriverData>
  </Connection>
</Query>

// Compute the toll generated at each tolling station within 3-minute windows
// that advance in 1 minute increments.
from t in TollData
group t by t.TollId into g
from win in g.HoppingWindow(TimeSpan.FromMinutes(3), TimeSpan.FromMinutes(1))
select new
{
    TollId = g.Key,
    TotalToll = win.Sum(t => t.Toll),
    Count = win.Count(),
}