<Query Kind="Statements">
  <Connection>
    <ID>1e3830fd-9f17-427d-b3c8-0693c06d6e5c</ID>
    <Driver Assembly="StreamInsightLinqPad" PublicKeyToken="3d3a4b0768c9178e">StreamInsightLinqPad.StaticDriver</Driver>
    <CustomAssemblyPath>StreamInsightLinqPad.Samples.dll</CustomAssemblyPath>
    <CustomTypeName>StreamInsightLinqPad.Samples.HitchhikersGuideContext</CustomTypeName>
    <DriverData>
      <ContextKind>HitchhikersGuide</ContextKind>
      <RequiredVersion>21.0.0.0</RequiredVersion>
    </DriverData>
  </Connection>
</Query>

var queryStream = from e in TollData
				  where (0 == e.Tag.Length) || e.Tag.IsLostOrStolen() || e.Tag.IsExpired()
				  select new
				  {
					  LicensePlate = e.LicensePlate,
					  Make = e.Make,
					  Model = e.Model,
					  State = e.State,
					  Tag = e.Tag,
					  TollId = e.TollId,
				  };
				  
queryStream.ToIntervalEnumerable().Dump();